This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 510832 - Elisa won't start because of a segfault in gstreamer-python
Elisa won't start because of a segfault in gstreamer-python
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: elisa (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-11 03:48 EDT by Aurelien Bompard
Modified: 2010-06-28 09:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:34:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2009-07-11 03:48:48 EDT
Description of problem:
Here's what I get on Elisa startup:
$ elisa
Launcher core version: 0.5.35
Current core version: 0.5.35
/usr/lib/python2.6/site-packages/elisa/core/utils/classinit.py:34: UserWarning: ClassInitMeta class is deprecated
  warn("ClassInitMeta class is deprecated")
WARN  MainThread      plugin_registry             juil. 11 09:42:10  plugin elisa-plugin-coherence has the following unmet dependencies: Twisted>=2.5.0 (elisa/core/plugin_registry.py:356)
WARN  MainThread      plugin_registry             juil. 11 09:42:10  plugin TGFastData has the following unmet dependencies: TurboGears>0.9a2 (elisa/core/plugin_registry.py:356)
WARN  MainThread      plugin_registry             juil. 11 09:42:10  plugin Coherence has the following unmet dependencies: Twisted>=2.5.0 (elisa/core/plugin_registry.py:356)

ERROR: Caught a segmentation fault while loading plugin file:
/usr/lib/gstreamer-0.10/libgstpython.so

Please either:
- remove it and restart.
- run with --gst-disable-segtrap and debug.
Fatal Python error: Can't initialize module pgm.
Abandon
[gauret@gauret ~]$ rpm -qf /usr/lib/gstreamer-0.10/libgstpython.so
gstreamer-python-0.10.15-1.fc11.i586

Version-Release number of selected component (if applicable):
elisa-plugins-bad-0.5.35-1.fc11.noarch
elisa-base-0.5.35-1.fc11.noarch
elisa-plugins-good-0.5.35-1.fc11.noarch
elisa-plugins-ugly-0.5.35-1.fc11.noarch
elisa-0.5.35-1.fc11.noarch
gstreamer-0.10.23-2.fc11.i586
gstreamer-python-0.10.15-1.fc11.i586
gstreamer-plugins-farsight-0.12.10-2.fc11.i586
gstreamer-plugins-bad-0.10.13-3.fc11.i586
gstreamer-plugins-base-0.10.23-3.fc11.i586
gstreamer-plugins-good-0.10.15-1.fc11.i586
gstreamer-tools-0.10.23-2.fc11.i586
gstreamer-ffmpeg-0.10.7-2.fc11.1.i586
gstreamer-plugins-flumpegdemux-0.10.15-6.fc11.i586
gstreamer-plugins-ugly-0.10.12-1.fc11.i586
gstreamer-devel-0.10.23-2.fc11.i586

How reproducible:
Always

Any way I could help ? Maybe it would be more useful to test with Moovida, do you already have test packages I could try ?
Comment 1 Matthias Saou 2009-07-13 05:44:39 EDT
Could you check the following?
 * What pigment packages you have : rpm -qa 'pigment*'
 * Which Twisted packages you have : rpm -qa 'python-twisted*'

If you want to try moovida, I do have some testing packages here :
http://people.fluendo.com/matthias/moovida/
Comment 2 Aurelien Bompard 2009-07-22 13:51:35 EDT
$ rpm -qa 'pigment*'
pigment-0.3.16-1.fc11.i586
pigment-python-0.3.11-1.fc11.i586

$ rpm -qa 'python-twisted*'
python-twisted-web-8.2.0-2.fc11.i586
python-twisted-core-8.2.0-3.fc11.i586
python-twisted-web2-8.1.0-6.fc11.i586

Thanks, I'll be testing moovida soonish.
Comment 3 Peter Larsen 2009-10-02 23:32:40 EDT
I'm having the same problem, but without the segfault:

$ elisa
Launcher core version: 0.5.35
Current core version: 0.5.35
/usr/lib/python2.6/site-packages/elisa/core/utils/classinit.py:34: UserWarning: ClassInitMeta class is deprecated
  warn("ClassInitMeta class is deprecated")
WARN  MainThread      plugin_registry             Oct 02 23:29:26  plugin elisa-plugin-coherence has the following unmet dependencies: Twisted>=2.5.0 (elisa/core/plugin_registry.py:356)
WARN  MainThread      plugin_registry             Oct 02 23:29:26  plugin Coherence has the following unmet dependencies: Twisted>=2.5.0 (elisa/core/plugin_registry.py:356)
ERROR: couldn't create the window, exiting...
Comment 4 David Batson 2010-01-04 10:41:20 EST
I can't even get far enough to post the output from terminal.  When I launch elisa from the Gnome Menu or from terminal, it opens and sometimes says "Scanning Music Files" or something like that.  Then elisa totally hangs my machine.  Even the magic SysRq keys don't work to shut down the system.  I have to do a hard reset by holding down the power button for some seconds.  I do not see anything relevant in the log files.
Comment 5 Bug Zapper 2010-04-27 11:36:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 09:34:04 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.